<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RDateTimeGroup StructType
 * @subpackage Structs
 */
class RDateTimeGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The timeZone
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timeZone;
    /**
     * The separator
     * Meta information extracted from the WSDL
     * - documentation: It can be one among / (slash), . (dot), - (dash)
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $separator;
    /**
     * The dateformat
     * Meta information extracted from the WSDL
     * - documentation: It can be one among D/M/Y,M/D/Y,Y/M/D
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dateformat;
    /**
     * The timeFormat
     * Meta information extracted from the WSDL
     * - documentation: It can be one among 12-hour,24-hour
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $timeFormat;
    /**
     * The phoneNtpReferences
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences
     */
    public $phoneNtpReferences;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RDateTimeGroup
     * @uses RDateTimeGroup::setName()
     * @uses RDateTimeGroup::setTimeZone()
     * @uses RDateTimeGroup::setSeparator()
     * @uses RDateTimeGroup::setDateformat()
     * @uses RDateTimeGroup::setTimeFormat()
     * @uses RDateTimeGroup::setPhoneNtpReferences()
     * @uses RDateTimeGroup::setUuid()
     * @param string $name
     * @param string $timeZone
     * @param string $separator
     * @param string $dateformat
     * @param string $timeFormat
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences $phoneNtpReferences
     * @param string $uuid
     */
    public function __construct($name = null, $timeZone = null, $separator = null, $dateformat = null, $timeFormat = null, \\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences $phoneNtpReferences = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setTimeZone($timeZone)
            ->setSeparator($separator)
            ->setDateformat($dateformat)
            ->setTimeFormat($timeFormat)
            ->setPhoneNtpReferences($phoneNtpReferences)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get timeZone value
     * @return string|null
     */
    public function getTimeZone()
    {
        return $this->timeZone;
    }
    /**
     * Set timeZone value
     * @param string $timeZone
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setTimeZone($timeZone = null)
    {
        $this->timeZone = $timeZone;
        return $this;
    }
    /**
     * Get separator value
     * @return string|null
     */
    public function getSeparator()
    {
        return $this->separator;
    }
    /**
     * Set separator value
     * @param string $separator
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setSeparator($separator = null)
    {
        $this->separator = $separator;
        return $this;
    }
    /**
     * Get dateformat value
     * @return string|null
     */
    public function getDateformat()
    {
        return $this->dateformat;
    }
    /**
     * Set dateformat value
     * @param string $dateformat
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setDateformat($dateformat = null)
    {
        $this->dateformat = $dateformat;
        return $this;
    }
    /**
     * Get timeFormat value
     * @return string|null
     */
    public function getTimeFormat()
    {
        return $this->timeFormat;
    }
    /**
     * Set timeFormat value
     * @param string $timeFormat
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setTimeFormat($timeFormat = null)
    {
        $this->timeFormat = $timeFormat;
        return $this;
    }
    /**
     * Get phoneNtpReferences value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences|null
     */
    public function getPhoneNtpReferences()
    {
        return $this->phoneNtpReferences;
    }
    /**
     * Set phoneNtpReferences value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences $phoneNtpReferences
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setPhoneNtpReferences(\\Losc\CucmBundle\Model\Webservice\StructType\PhoneNtpReferences $phoneNtpReferences = null)
    {
        $this->phoneNtpReferences = $phoneNtpReferences;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDateTimeGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
